<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset='utf-8'>
    <title>Task 25.40 orderDetail</title>
    <meta name='viewport' content='width=device-width, initial-scale=1'>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>
<body onload="onPageLoading()">
    <div class="container">
        <p class="h3 text-left mt-5">Order Detail !!!</p>
        <div class="form-group col-12">
            <!-- hr -->
        </div>
        <div class="form-group">
            <label>Order Code(mã đơn hàng):</label>
            <input class="form-control" id="input-ordercode" placeholder="...">
        </div>
        <div class="form-group">
            <label>Cỡ Combo:</label>
            <select class="form-control" id="select-combo">
                <option value="0">...</option>
                <option value="S"> Nhỏ</option>
                <option value="M"> Vừa</option>
                <option value="L"> Lớn</option>
            </select>
        </div>
        <div class="form-group">
            <label>Đường kính Pizza</label>
            <input class="form-control" id="input-duong-kinh" placeholder="...">
        </div>
        <div class="form-group">
            <label>Sường nướng(miếng)</label>
            <input class="form-control" id="input-suong-nuong">
        </div>
        <div class="form-group">
            <label>Đồ uống</label>
            <select class="form-control" id="select-drink">
                <option value="0">...</option>
            </select>
        </div>
        <div class="form-group">
            <label>Số lượng nước uống</label>
            <input class="form-control" id="input-so-nuoc">
        </div>
        <div class="form-group">
            <label>Voucher ID</label>
            <input class="form-control" id="input-voucher">
        </div>
        <div class="form-group">
            <label>Loại Pizza</label>
            <input class="form-control" id="input-loai-pizza">
        </div>
        <div class="form-group">
            <label>Salad</label>
            <input class="form-control" id="input-salad">
        </div>
        <div class="form-group">
            <label>Thanh tiền</label>
            <input class="form-control" id="input-thanh-tien">
        </div>
        <div class="form-group">
            <label>Giảm giá</label>
            <input class="form-control" id="input-giam-gia">
        </div>
        <div class="form-group">
            <label>Họ và tên</label>
            <input class="form-control" id="input-ho-ten">
        </div>
        <div class="form-group">
            <label>Email</label>
            <input class="form-control" id="input-email">
        </div>
        <div class="form-group">
            <label>Số điện thoại</label>
            <input class="form-control" id="input-sdt">
        </div>
        <div class="form-group">
            <label>Địa chỉ</label>
            <input class="form-control" id="input-dia-chi">
        </div>
        <div class="form-group">
            <label>Lời nhắn</label>
            <input class="form-control" id="input-loi-nhan">
        </div>
        <div class="form-group">
            <label>Trạng thái đơn</label>
            <input class="form-control" id="input-status">
        </div>
        <div class="form-group">
            <label>Ngày tạo</label>
            <input class="form-control" id="input-ngay-tao">
        </div>
        <div class="form-group">
            <label>Ngày cập nhật</label>
            <input class="form-control" id="input-ngay-cap-nhat">
        </div>
    </div>
</body>
<script>
    "use strict";
    //REGION 1
    const gREQUEST_STATUS_OK = 200;
    const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;
    const gREQUEST_CREATE_SUCCESS = 201; // status 201 - tạo thành công
    //REGION 2

    //REGION 3
    function onPageLoading(){
        "use strict";
        //lấy chuổi queryString
        var vQueryStringURL = window.location.search
        //dùng SearchParams để phân tích chuổi queryString và lấy các tham số
        var vUrlParams = new URLSearchParams(vQueryStringURL);
        //lấy tham số orderCode trong chuổi queryString
        var vOrderCode = vUrlParams.get("orderCode");

        console.log("%c OrderCode: " + vOrderCode,"color: orange");

        var vXmlHttpGetOrderByOrderCode = new XMLHttpRequest();
        callApiGetOrderByOrderCode(vXmlHttpGetOrderByOrderCode, vOrderCode);
        displayInformation(vXmlHttpGetOrderByOrderCode);
    }
    //REGION 4

    //hàm gọi Api lấy thông tin orderCode
    function callApiGetOrderByOrderCode(paramXmlHttp, paramOrderCode) {
        "use strict";
        //base url
        const vBASE_URL = "http://203.171.20.210:8080/devcamp-pizza365/orders";
        paramXmlHttp.open("GET", vBASE_URL + "/" + paramOrderCode, true);
        paramXmlHttp.send();
        
    }
    //hàm hiển thị thông tin
    function displayInformation(paramXmlHttp){
        paramXmlHttp.onreadystatechange =
            function () {
                if (this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK && this.status == gREQUEST_STATUS_OK) {
                    var vRequest = paramXmlHttp.responseText;
                    console.log(vRequest);
                    displayIformationOnTheForm(paramXmlHttp);
                }
            }
    }
    //hàm hiển thị thông tin lên form
    function displayIformationOnTheForm(paramXmlHttpRequest){
        //chuyển JSON về Obj
        var vOrderObj = JSON.parse(paramXmlHttpRequest.responseText);
        console.log(vOrderObj);
        //truy xuất các input trên form
        var vElementOrderCode = document.getElementById("input-ordercode");
        vElementOrderCode.value = vOrderObj.orderCode;

        var vElementComboSelect = document.getElementById("select-combo");
        vElementComboSelect.value = vOrderObj.kichCo;

        var vElementDuongKinh = document.getElementById("input-duong-kinh");
        vElementDuongKinh.value = vOrderObj.duongKinh;

        var vElementSuongNuong = document.getElementById("input-suong-nuong");
        vElementSuongNuong.value = vOrderObj.suon;

        var vElementDoUongSelect = document.getElementById("select-drink");
        vElementDoUongSelect.value = vOrderObj.idLoaiNuocUong;

        var vElementSoLuongNuoc = document.getElementById("input-so-nuoc");
        vElementSoLuongNuoc.value = vOrderObj.soLuongNuoc;

        var vElementVoucherId = document.getElementById("input-voucher");
        vElementVoucherId.value = vOrderObj.idVourcher;

        var vElementLoaiPizza = document.getElementById("input-loai-pizza");
        vElementLoaiPizza.value = vOrderObj.loaiPizza;

        var vElementSalad = document.getElementById("input-salad");
        vElementSalad.value = vOrderObj.salad;

        var vElementThanhTien = document.getElementById("input-thanh-tien");
        vElementThanhTien.value = vOrderObj.thanhTien;

        var vElementGiamGia = document.getElementById("input-giam-gia");
        vElementGiamGia.value = vOrderObj.giamGia;

        var vElementHoTen = document.getElementById("input-ho-ten");
        vElementHoTen.value = vOrderObj.hoTen;

        var vElementEmail = document.getElementById("input-email");
        vElementEmail.value = vOrderObj.email;

        var vElementSDT = document.getElementById("input-sdt");
        vElementSDT.value = vOrderObj.soDienThoai;

        var vElementDiaChi = document.getElementById("input-dia-chi");
        vElementDiaChi.value = vOrderObj.diaChi;

        var vElementLoiNhan = document.getElementById("input-loi-nhan");
        vElementLoiNhan.value = vOrderObj.loiNhan;

        var vElementTrangThaiDon = document.getElementById("input-status");
        vElementTrangThaiDon.value = vOrderObj.trangThai;

        var vElementNgayTao = document.getElementById("input-ngay-tao");
        vElementNgayTao.value = vOrderObj.ngayTao;

        var vElementNgayCapNhat = document.getElementById("input-ngay-cap-nhat");
        vElementNgayCapNhat.value = vOrderObj.ngayCapNhat;

    }
</script>
</html>